const PAGES = {
  APP: chrome.extension.getURL("pages/app.html"),
  OPTIONS: chrome.extension.getURL("pages/options.html"),
  RESULTS: chrome.extension.getURL("pages/results.html"),
}

function init() {
  let form = document.getElementById('form');

  form.addEventListener('submit', (evt) => {
    evt.preventDefault();

    const promptInterval = 60 * evt.target.elements.promptInterval.value;

    chrome.storage.sync.set({ promptInterval: promptInterval }, function() {
      chrome.runtime.sendMessage({type: "OPTIONS_UPDATED"});

      let formSuccess = document.getElementById('form-success');
      formSuccess.classList.remove('dn');

      setTimeout(() => {
        formSuccess.classList.add('dn');
      }, 2000)
    })
  })

  let promptIntervalField = document.getElementById('promptInterval');

  chrome.storage.sync.get(['promptInterval'], ({promptInterval}) => {
    promptIntervalField.value = promptInterval / 60;
  });

  document.getElementById('results-link').href = PAGES.RESULTS;


}

init();
